function [DATA] = OF_ReadProbesFile_Vector(numberPointsInFile, VECTOR)

% Read VECTOR data from file generated by probeLocations utility

%%%%%% Evaluate file header to find number of points probed %%%%%

% TO DO %

%%%%%% Read point coordinates from file %%%%%

fid = fopen(VECTOR,'rt');
pointsProbed = fscanf(fid,'%*s\t%*s\t%g\t%g\n',[numberPointsInFile, 3])';
fclose(fid);

%%%%% Read vector data at each probed/sampled point %%%%%

% Setting format to read data based on number of points in the probes file
dataFormat = '';
for i = 0:(numberPointsInFile-1);
	dataFormat = strcat(dataFormat, '\t(%f %f %f)');
end

% Reading vector data from file
fid = fopen(VECTOR,'rt');
	fgetl(fid); % skip line 1 of the file
	fgetl(fid); % skip line 2 of the file
	fgetl(fid); % skip line 3 of the file
	fgetl(fid); % skip line 4 of the file
	dataFormat = strcat('\t%f', dataFormat, '\n');
	dataColumns = numberPointsInFile*3 + 1;
	data = fscanf(fid,dataFormat,[dataColumns, inf])';
fclose(fid);

%%%% Setting up function output (per point probed) %%%%%
for i = 1:numberPointsInFile;
	j = i-1;
	DATA.point(i).x 	= pointsProbed(1,i);
	DATA.point(i).y 	= pointsProbed(2,i);
	DATA.point(i).z 	= pointsProbed(3,i);
	DATA.point(i).vx 	= data(:,2 + (3*j));
	DATA.point(i).vy 	= data(:,3 + (3*j));
	DATA.point(i).vz 	= data(:,4 + (3*j));
end
	DATA.time		= data(:,1);
